> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List access tiers

> Lists access tiers configured for a project.



## OpenAPI

````yaml get /projects/{project_id}/player_settings/access_tiers
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /projects/{project_id}/player_settings/access_tiers:
    parameters:
      - name: project_id
        in: path
        description: The numeric ID of your project
        required: true
        schema:
          type: string
    get:
      tags:
        - Access tiers
      summary: List access tiers
      description: Lists access tiers configured for a project.
      operationId: access_tiers#index
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/accessTiersExample'
              schema:
                $ref: '#/components/schemas/accessTiersModel'
      security:
        - apiKey: []
components:
  examples:
    accessTiersExample:
      summary: Sample list of access tiers
      value:
        - id: 1
          slug: anonymous
          name: anonymous
          segment_limit: null
          ads_enabled: true
          intro_url: null
          outro_url: null
          cta_text: null
          cta_url: null
          player_agent:
            cta_text: null
            cta_url: null
            questions_limit: null
            seconds_limit: null
          ai_connector:
            allowed: false
        - id: 2
          slug: registered
          name: registered
          segment_limit: null
          ads_enabled: true
          intro_url: null
          outro_url: null
          cta_text: null
          cta_url: null
          player_agent:
            cta_text: null
            cta_url: null
            questions_limit: null
            seconds_limit: null
          ai_connector:
            allowed: false
        - id: 3
          slug: subscribed
          name: subscribed
          segment_limit: null
          ads_enabled: false
          intro_url: null
          outro_url: null
          cta_text: null
          cta_url: null
          player_agent:
            cta_text: null
            cta_url: null
            questions_limit: null
            seconds_limit: null
          ai_connector:
            allowed: false
  schemas:
    accessTiersModel:
      type: array
      items:
        $ref: '#/components/schemas/accessTierModel'
    accessTierModel:
      type: object
      properties:
        id:
          type: integer
        slug:
          type: string
          description: Unique identifier for the object
        name:
          type: string
          description: Human readable name of the access tier
        segment_limit:
          type: integer
          nullable: true
          description: >-
            Maximum number of segments allowed for playback. Null means no
            limit.
        ads_enabled:
          type: boolean
          description: Whether ads are enabled for this tier
        intro_url:
          type: string
          nullable: true
          description: URL of the intro audio file
        outro_url:
          type: string
          nullable: true
          description: URL of the outro audio file
        cta_text:
          type: string
          nullable: true
          description: Text of the call-to-action shown in the player
        cta_url:
          type: string
          nullable: true
          description: URL the call-to-action links to
        player_agent:
          type: object
          description: Player agent settings for this tier
          properties:
            cta_text:
              type: string
              nullable: true
              description: Text of the player agent call-to-action
            cta_url:
              type: string
              nullable: true
              description: URL the player agent call-to-action links to
            questions_limit:
              type: integer
              nullable: true
              description: >-
                Maximum number of player agent questions allowed. Null means no
                limit.
            seconds_limit:
              type: integer
              nullable: true
              description: >-
                Maximum number of player agent seconds allowed. Null means no
                limit.
        ai_connector:
          type: object
          description: AI connector settings for this tier
          properties:
            allowed:
              type: boolean
              description: Whether subscribers on this tier may use the AI connector
        created:
          type: string
          description: Time at which the object was created (ISO 8601)
        updated:
          type: string
          description: Time at which the object was updated (ISO 8601)
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.